#define		INPUT_OPEN		0
#define		INPUT_CLOSE		1
#define		OUTPUT_OFF		0
#define		OUTPUT_ON		1

/////////////////////////////////////////////////////////////////////////////
//		Initialize USB-LT for use
//		return 0 means fail to Initialize
/////////////////////////////////////////////////////////////////////////////
extern "C" __declspec(dllimport) int  __stdcall InitBoard(void);



/////////////////////////////////////////////////////////////////////////////
//		Configure Port to use as input or output
//		parameter P4,P5,P6,P7,P1 configuration value
//		return 0 means fail to configure
/////////////////////////////////////////////////////////////////////////////
extern "C" __declspec(dllimport) int  __stdcall PortConfigure(WORD P4, WORD P5, WORD P6, WORD P7, WORD P1);




/////////////////////////////////////////////////////////////////////////////
//		Read Port status
//		return P4,P5,P6,P7,P1 status
//		return 0 means fail to read
/////////////////////////////////////////////////////////////////////////////
extern "C" __declspec(dllimport) int  __stdcall PortRead(BYTE *P4, BYTE *P5, BYTE *P6, BYTE *P7, BYTE *P1);



/////////////////////////////////////////////////////////////////////////////
//		Write Port output
//		parameter P4,P5,P6,P7,P1 value
//		return 0 means fail to write
/////////////////////////////////////////////////////////////////////////////
extern "C" __declspec(dllimport) int  __stdcall PortWrite(BYTE P4, BYTE P5, BYTE P6, BYTE P7);


/////////////////////////////////////////////////////////////////////////////
//		Write Port0 output
//		parameter act, pos
//		return 0 means fail to write
/////////////////////////////////////////////////////////////////////////////
extern "C" __declspec(dllimport) int  __stdcall Port1Write(BYTE act, BYTE pos);
