// Led.cpp : implementation file
//

#include "stdafx.h"
#include "Usb_Napp.h"
#include "Usb_NappDlg.h"
//#include "Usb_NappApp.h"
#include "Led.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLed

CLed::CLed()
{
	m_state = 0;
}

CLed::~CLed()
{

}


BEGIN_MESSAGE_MAP(CLed, CStatic)
	//{{AFX_MSG_MAP(CLed)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLed message handlers

void CLed::OnPaint() 
{
	// TODO: Add your message handler code here

	CPaintDC dc(this);										// device context for painting

	LPTSTR lpBitmapName;
	if(m_state == 0)
	{
		lpBitmapName = MAKEINTRESOURCE(IDB_LEDOFF);
	}
	else if(m_state == 1)
	{
		lpBitmapName = MAKEINTRESOURCE(IDB_LEDON);
	}
	else
	{
		lpBitmapName = MAKEINTRESOURCE(IDB_LEDON);
	}
		
	HBITMAP hbitmap = ::LoadBitmap(AfxGetInstanceHandle(), lpBitmapName);
	HDC hMemDC = ::CreateCompatibleDC(NULL);
	SelectObject(hMemDC, hbitmap);

	RECT rt;							// Get window Rect
	GetWindowRect(&rt);
	ScreenToClient(&rt);

	::StretchBlt(dc.m_hDC,rt.left, rt.top, rt.right, rt.bottom, hMemDC, 0,0,25,23,SRCCOPY);
	::DeleteDC(hMemDC);
	::DeleteObject(hbitmap);	

	// Do not call CStatic::OnPaint() for painting messages
}

int CLed::SetState(int state)
{
	m_state = state;
	Invalidate(TRUE);

	return m_state;
}

int CLed::GetState()
{
	return m_state;
}
